package holidayspl

import "time"

type HolidayType int

const (
	FIXED HolidayType = iota
	MOVABLE
)

func (d HolidayType) String() string {
	return [...]string{"fixed", "movable"}[d]
}

type Holiday struct {
	Name        string
	NamePL      string
	Month       time.Month
	Day         int
	HolidayType HolidayType
	PlusEaster  int
	Date        time.Time
}
